Bug 812690 - rpy not installed for Python 3
rpy not installed for Python 3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpy (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 20:26 EDT by Jason
Modified: 2015-02-18 08:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:00:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2012-04-15 20:26:22 EDT
Description of problem: 
The package 'rpy' is not installed for both Python 2 and Python 3 -- only for Python 2. Running `find / -name "*rpy*"` shows that rpy is installed at the following location: /usr/lib64/python2.7/site-packages/rpy2

PyPI ( https://pypi.python.org/pypi/rpy2 ) shows that RPy supports both Python 2 and Python 3, so the package should be installed in both locations (or symlinked, etc.).

Version-Release number of selected component (if applicable): 
2.2.5-1.fc15


How reproducible:
Every time

Steps to Reproduce:
1. On F15, install 'python3' and 'rpy'
2. Start the interactive Python 3 shell by running 'python3'
3. Enter 'import rpy'
  
Actual results:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named rpy


Expected results:
No error

Additional info: 
I wouldn't be surprised if this bug is present on F16, F17, and rawhide too, but I don't have an installation of any of those to test at the moment.
Comment 1 Jason 2012-04-15 20:51:42 EDT
Note that I also tried entering 'import rpy2' in the interactive Python 3 shell, and that did not work either.
Comment 2 Fedora End Of Life 2012-08-07 12:25:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 José Matos 2012-11-26 10:54:43 EST
Yes, rpy2 supports python3. Moving release to rawhide since this applies to all releases.
Comment 4 Fedora End Of Life 2013-04-03 15:23:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jonathan Reeve 2014-11-08 10:44:49 EST
It looks like this bug is still a problem in Fedora 21.
Comment 6 José Matos 2014-11-28 13:20:51 EST
It applies because the packages are frozen. :-)

The rawhide packages already support the python3 subpackage since rpy-2.5.1.

As soon as the updates gates are open and the current R-3.1.2 is on updates I will rebuild the currrent rpy2-2.5.2 for F21 as well where this is be solved.
Comment 7 Fedora End Of Life 2015-01-09 16:57:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 José Matos 2015-02-17 11:00:40 EST
It took me longer than I was expecting but I have updated rpy to F21 https://admin.fedoraproject.org/updates/FEDORA-2015-2098/rpy-2.5.6-1.fc21

that supports both python 2 and python 3.

So now for F21+ all releases support python2 and python3.
Comment 9 Fedora End Of Life 2015-02-18 08:42:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.